Shopify collection
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-shopify-collections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"store_domain": "e.g. gymshark.com",
"collection": "e.g. mens"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-shopify-collections"
payload = {
"store_domain": "e.g. gymshark.com",
"collection": "e.g. mens"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({store_domain: 'e.g. gymshark.com', collection: 'e.g. mens'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-shopify-collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "shopify_collection",
"store_domain": "allbirds.com",
"collection": "mens",
"human": "# Shopify collection\n\n- **Store:** allbirds.com\n- **Collection:** mens\n- **Proxy traffic:** 2.6 KB\n- **Title:** Men's Shoes\n- **URL:** https://allbirds.com/collections/mens\n- **Products:** 960\n- **Published:** 2019-10-31T16:20:55-07:00\n- **Updated:** 2026-09-30T04:02:46-07:00",
"machine": {
"store_domain": "allbirds.com",
"collection": {
"id": 132815978576,
"alias": "mens",
"title": "Men's Shoes",
"url": "https://allbirds.com/collections/mens",
"description": "Sustainable, supportive, and wildly comfortable, our sneakers are always ready when you are.",
"description_html": "<p>Sustainable, supportive, and wildly comfortable, our sneakers are always ready when you are. </p>",
"image": null,
"product_count": 960,
"published_at": "2019-10-31T16:20:55-07:00",
"updated_at": "2026-09-30T04:02:46-07:00",
"source": "json"
},
"proxy_traffic_bytes": 2650
},
"total_points": 5
}E-commerce & Marketplaces
Shopify collection
Get one Shopify collection by store domain and handle: title, description, image, product count and timestamps. 5 point per returned record.
POST
/
functions
/
v1
/
run-shopify-collections
Shopify collection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.